curl --request GET \
--url https://txline.txodds.com/api/fixtures/batch-validation \
--header 'Authorization: Bearer <token>' \
--header 'X-Api-Token: <api-key>'import requests
url = "https://txline.txodds.com/api/fixtures/batch-validation"
headers = {
"Authorization": "Bearer <token>",
"X-Api-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Api-Token': '<api-key>'}
};
fetch('https://txline.txodds.com/api/fixtures/batch-validation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"totalUpdateCount": 123,
"numUniqueFixtures": 123,
"overallBatchStartTs": 123,
"overallBatchEndTs": 123
},
"proof": {}
}"<string>""<string>""<string>""<string>"Get a Merkle proof for an entire hourly batch of fixtures
Fixture data is grouped into hourly batches. Each batch is represented by a Merkle Tree, and its root hash is published on-chain. This Merkle root is contained within the batch’s metadata.
This endpoint allows you to validate the integrity of the batch metadata itself. It returns the metadata for the specified hourly batch, along with a Merkle proof.
A user can take this proof and the metadata (which includes the final Merkle root) and use it to verify against a higher-level tree or commitment, thus cryptographically proving the integrity of the entire batch’s claimed state.
Authorizations
User's session JWT.
The user's long-lived API token, obtained from the activation endpoint.
Headers
Bearer token for the user's session JWT.
The user's long-lived API token.
Query Parameters
The day since the Unix epoch for the desired batch.
The hour of the day (UTC, 0-23) for the desired batch.
Was this page helpful?